type __VLS_Props = {
    scale: number;
    scales?: Array<{
        value?: number | string;
        show: boolean;
        label?: string;
    }>;
    disabled?: boolean;
};
declare const _default: import("vue").DefineComponent<__VLS_Props, {
    scales: import("vue").ComputedRef<{
        value?: number | string;
        show: boolean;
        label?: string;
    }[]>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:scale": (...args: any[]) => void;
    fitPage: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:scale"?: ((...args: any[]) => any) | undefined;
    onFitPage?: ((...args: any[]) => any) | undefined;
}>, {
    scale: number;
    scales: Array<{
        value?: number | string;
        show: boolean;
        label?: string;
    }>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
export default _default;
